/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Brain Structures for Volumetric Measurements
 */
public enum EnumCV_BrainStructuresForVolumetricMeasurements {

	//Brain Structures for Volumetric Measurements - CID 7140
	AMYGDALA_T_A3230("T-A3230"),
	BRAIN_STEM_T_D0558("T-D0558"),
	CAUDATE_NUCLEUS_T_A3200("T-A3200"),
	CEREBELLAR_CORTEX_T_A6041("T-A6041"),
	CEREBELLAR_WHITE_MATTER_T_A6080("T-A6080"),
	CEREBRAL_GREY_MATTER_T_A2020("T-A2020"),
	CEREBRAL_WHITE_MATTER_T_A2030("T-A2030"),
	CRANIAL_CAVITY_T_D1403("T-D1403"),
	CRANIAL_SUBARACHNOID_SPACE_T_A1504("T-A1504"),
	FIFTH_VENTRICLE_T_A1604("T-A1604"),
	FOURTH_VENTRICLE_T_A1820("T-A1820"),
	GLOBUS_PALLIDUS_T_A3500("T-A3500"),
	HIPPOCAMPUS_T_A2570("T-A2570"),
	CEREBELLAR_SUBARACHNOID_SPACE_T_A1509("T-A1509"),
	INFERIOR_HORN_OF_LATERAL_VENTRICLE_T_A1721("T-A1721"),
	LATERAL_VENTRICLE_T_A1650("T-A1650"),
	NUCLEUS_ACCUMBENS_T_A0149("T-A0149"),
	INTRACRANIAL_STRUCTURE_T_A0190("T-A0190"),
	PUTAMEN_T_A3400("T-A3400"),
	THALAMUS_T_D0593("T-D0593"),
	THIRD_VENTRICLE_T_A1740("T-A1740"),
	VENTRAL_DIENCEPHALON_110700("110700"),
	WHITE_MATTER_T1_HYPOINTENSITY_110701("110701"),
	WHITE_MATTER_T2_HYPERINTENSITY_110702("110702");

	private String value;

	EnumCV_BrainStructuresForVolumetricMeasurements(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
